Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:    	configuration file parsing library
Name:      	libcfg+
Version:   	0.6.2
Release:   	1
Provides:	libcfg+.so
License: 	GNU/GPL
URL:		http://platon.sk/projects/main_page.php?project_id=3	
Group:    	System/Libraries
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel
Prereq(post,preun): /sbin/install-info

%description
libcfg+ is a C library that features multi- command line and configuration file parsing.
It is possible to set up various special properties such as quoting characters,
deliminator strings, file comment prefixes, multi-line postfixes, and more.
It supports many data types such as booleans, integers, decimal numbers,
strings with many additional data type flags (such as multiple values for a single option).

%package	devel
Summary: 	%{name} development headers.
Group:     	%{group}          
Requires: 	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
#/sbin/install-info %_infodir/%{name}.info.gz %_infodir/dir
ldconfig

%postun
ldconfig

%preun
#if [ "$1" = 0 ]; then
#/sbin/install-info --del %_infodir/%{name}.info.gz %_infodir/dir
#fi 

%prep
%setup -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--mandir=%_mandir \
--libdir=%_libdir \
--datadir=%_datadir \
--infodir=%_infodir \
--includedir=%_includedir \
--disable-debug
make

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR="$RPM_BUILD_ROOT"
# stripping package
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir/*.so
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_libdir/*.a
%_libdir/*.a
%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue May 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.6.2-1
- Initial Release
